Subject: bug#16238: 24.3.50; pcase docs (and possibly pcase) wrong

From: Tassilo Horn <[email-masked]>
Date: Wed, 25 Dec 2013 10:15:10 +0100

Glenn Morris <[email-masked]> writes:

>>> No, the code is meant for lexical-binding.
>>
>> Ok, I see.  I've also mentioned that in the docs, though I guess you
>> can refine that comment to be more specific.
>
> That _example_ assumes lexical binding. _Pcase itself_ does not
> require lexical binding. (You've written in the manual that it does.)

Ah, yes.  I'm so used to lexical binding that I can't see a closure when
it's immediately in front of me.  I've corrected the sentence and moved
it directly after the `evaluate' code.

Bye,
Tassilo